Identity Provider Service
Update Identity Provider
UpdateIdentityProvider updates an identity provider.
Path Parameters
identity-provider*string
The identity-provider id.
Query Parameters
updateMask?string
Required. The update mask applies to the resource. Only the top level fields of IdentityProvider are supported.
Format
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/v1/identity-providers/string" \ -H "Content-Type: application/json" \ -d '{ "type": "TYPE_UNSPECIFIED", "title": "string", "config": {} }'{ "name": "string", "type": "TYPE_UNSPECIFIED", "title": "string", "identifierFilter": "string", "config": { "oauth2Config": { "clientId": "string", "clientSecret": "string", "authUrl": "string", "tokenUrl": "string", "userInfoUrl": "string", "scopes": [ "string" ], "fieldMapping": { "identifier": "string", "displayName": "string", "email": "string", "avatarUrl": "string" } } }}